.main {
  width: 100vw;
}

.panels {
  min-height: 50vh;
  overflow: hidden;
  display: flex;
}

.panels__panel {
  flex: 1;
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: column;

  background:#6B0F9C;
  box-shadow:inset 0 0 0 5px rgba(255,255,255,0.1);
  color:white;
  text-align: center;
  align-items:center;
  /* Safari transitionend event.propertyName === flex */
  /* Chrome + FF transitionend event.propertyName === flex-grow */
  transition:
  font-size 0.7s cubic-bezier(0.61,-0.19, 0.7,-0.11),
  flex 0.7s cubic-bezier(0.61,-0.19, 0.7,-0.11),
  background 0.2s;
  font-size: 20px;
  background-size:cover;
  background-position:center;
}

.panels__panel--1 {
  background-image:url(https://source.unsplash.com/gYl-UtwNg_I/1500x1500);
}

.panels__panel--2 {
  background-image:url(https://source.unsplash.com/1CD3fd8kHnE/1500x1500);
}

.panels__panel--3 {
  background-image:url(https://images.unsplash.com/photo-1465188162913-8fb5709d6d57?ixlib=rb-0.3.5&q=80&fm=jpg&crop=faces&cs=tinysrgb&w=1500&h=1500&fit=crop&s=967e8a713a4e395260793fc8c802901d);
}

.panels__panel--4 {
  background-image:url(https://source.unsplash.com/ITjiVXcwVng/1500x1500);
}

.panels__panel--5 {
  background-image:url(https://source.unsplash.com/3MNzGlQM7qs/1500x1500);
}

.panels__panel > * {
  flex: 1 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0;
  width: 100%;

  transition: transform 0.5s;
}

.panels__panel > *:first-child {
  transform: translateY(-100%);
}

.panels__panel.panels__panel--open-active > *:first-child {
  transform: translateY(0);
}

.panels__panel > *:last-child {
  transform: translateY(100%);
}

.panels__panel.panels__panel--open-active > *:last-child {
  transform: translateY(0);
}

.panels__panel p {
  text-transform: uppercase;
  text-shadow: 0 0 4px rgba(0, 0, 0, 0.72), 0 0 14px rgba(0, 0, 0, 0.45);
  font-size: 2em;
}

.panels__panel p:nth-child(2) {
  font-size: 4em;
}

.panels__panel.panels__panel--open {
  flex: 5;

  font-size: 40px;
}

.cta {
  color:white;
  text-decoration: none;
}
